Border(3I)

NAME
Border, HBorder, VBorder - visual separators

SYNOPSIS
#include <InterViews/border.h>

DESCRIPTION
Border is the base class for interactors that simply display a line of a given thickness, usually to separate other interactors in a scene. HBorder objects have a fixed height and are infinitely stretchable and shrinkable horizontally. VBorder objects have a fixed width and are infinitely stretchable and shrinkable vertically.

PUBLIC OPERATIONS

HBorder(int thickness = 1)

VBorder(int thickness = 1)
    Construct a border with a given thickness (default is one pixel).

SEE ALSO
Interactor(3I)